CC = clang
C_OPTS = -g

all: clean prep compile
run: clean prep compile
	./dist/main.bin

clean:
	rm -rf dist

prep:
	mkdir dist

compile:main.bin

main.bin: src/main.c
	$(CC) $(C_OPTS) $< -o ./dist/$@
